Update Pass Placeholder
curl --request PUT \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/values/{placeholderName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/values/{placeholderName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/values/{placeholderName}"
payload = { "value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Passes > Pass Values
Update Pass Placeholder
Update a single placeholder value of a specific pass.
Parameters:
placeholderName: The name of the placeholder to update.value: The new value for the placeholder.lpass: Pass object, automatically resolved from the request.
Returns:
dict: A dictionary containing the updated placeholder values of the pass.
PUT
/
v2
/
passes
/
{passTypeIdentifier}
/
{serialNumber}
/
values
/
{placeholderName}
Update Pass Placeholder
curl --request PUT \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/values/{placeholderName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/values/{placeholderName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/values/{placeholderName}"
payload = { "value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
